textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/metalclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/carpetclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm carpetsteps 
}

textures/common/latticeclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm latticesteps 
}

textures/common/woodclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm woodsteps 
}

textures/pad_bookroom/portal
{

	portal
	surfaceparm nolightmap
	deformvertexes wave 150 sin 0 1 0 .5


	{
		map textures/pad_bookroom/portal_sfx3.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	
	
		depthwrite
	}




	{
		map textures/pad_bookroom/portal_sfx.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}

	{
		map textures/pad_bookroom/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 1024
		rgbgen identitylighting	
		tcmod rotate .1 
		tcmod scroll .01 .03
	}
}

textures/pad_bookroom/zierkante
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
    
     
        {
                map textures/pad_bookroom/zierkante.tga
                alphafunc ge128
		depthwrite
		rgbgen identity
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_wood/wood047
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood047.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_bookroom/gelaenderstre
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_bookroom/gelaenderstre.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_cyb/screw1
{
        qer_editorimage textures/pad_cyb/screw1.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/pad_cyb/screw1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/pad_wop/padbubble
{       	
	qer_editorimage textures/pad_wop/padbubble.tga
	qer_trans 0.5
	surfaceparm nonsolid
        surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/pad_wop/padbubble.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
		depthwrite
	}
}

textures/pad_wop/padjump_red
{

        q3map_surfacelight	30

	surfaceparm	trans
	surfaceparm nonsolid
             	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map textures/pad_wop/padjump_red.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 0 1 0 1
                
	}	
	{
		map textures/pad_wop/padjump_red2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1 0 1
               
	}	
}

textures/pad_wop/padtele
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/pad_wop/padtele.tga	
	q3map_surfacelight 100

	{
		map textures/pad_wop/padtele_electric.tga
		blendfunc add
                	rgbgen wave triangle 1.8 2 0 7
                	tcmod scroll 0 -1
	}
	{
		map textures/pad_wop/padtele_electric.tga
		blendfunc add
                	rgbgen wave triangle 1 1.1 1 5
                	tcmod scale  -1 1.5
                	tcmod scroll 0 1.5
	}
	{
		map textures/pad_wop/padtele.tga
		blendfunc add
                	rgbgen wave triangle 2 1.4 3 7.7
                	tcmod scroll 0 0.8
	}
	
}

textures/pad_wop/padtele_red
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/pad_wop/padtele_red.tga	
	q3map_surfacelight 100

	{
		map textures/pad_wop/padtele_electric_red.tga
		blendfunc add
                	rgbgen wave triangle 1.8 2 0 7
                	tcmod scroll 0 -1
	}
	{
		map textures/pad_wop/padtele_electric_red.tga
		blendfunc add
                	rgbgen wave triangle 1 1.1 1 5
                	tcmod scale  -1 1.5
                	tcmod scroll 0 1.5
	}
	{
		map textures/pad_wop/padtele_red.tga
		blendfunc add
                	rgbgen wave triangle 2 1.4 3 7.7
                	tcmod scroll 0 0.8
	}
	
}

textures/pad_enteflare/light06
{
	surfaceparm nomarks
              q3map_flareshader flareshader
	q3map_lightrgb 102 255 102
              q3map_surfacelight 300
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_enteflare/light06.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_enteflare/light06_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/pad_enteflare/light07
{
	surfaceparm nomarks
              q3map_flareshader flareshader
	q3map_lightrgb 255 0 0
              q3map_surfacelight 300
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_enteflare/light07.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_enteflare/light07_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/pad_enteflare/lighty
{
    q3map_surfacelight 500
              q3map_flareshader flareshader
	surfaceparm nolightmap
    {
        map textures/pad_enteflare/lighty.tga
    }
}

textures/pad_enteflare/lightyy
{
    q3map_surfacelight 400
              q3map_flareshader flareshader
	surfaceparm nolightmap
    {
        map textures/pad_enteflare/lightyy.tga
    }
}

flareshader
{
        cull none
        {
                map textures/pad_gfx/flareb.tga
                blendfunc gl_one gl_one
                rgbgen vertex
        }
}

textures/pad_garden/bubbles2_2
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -2.769913 -21.519264 169.001572 sawtooth 0 1 0.622631 0.252309
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 2.200842
alphagen wave sawtooth 1.000000 0.000000 0.622631 0.252309
rgbgen wave sawtooth 1.000000 0.000000 0.622631 0.252309
tcmod stretch sawtooth 0.000000 0.869579 0.622631 0.252309
blendfunc add
}
}

textures/pad_garden/bubbles2_3
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.625161 -6.980746 87.586830 sawtooth 0 1 1.213530 0.445164
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 19.405041
alphagen wave sawtooth 1.000000 0.000000 1.213530 0.445164
rgbgen wave sawtooth 1.000000 0.000000 1.213530 0.445164
tcmod stretch sawtooth 0.000000 2.052110 1.213530 0.445164
blendfunc add
}
}

textures/pad_garden/bubbles2_4
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -8.668365 -12.663155 109.066895 sawtooth 0 1 1.085688 0.300365
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 11.414990
alphagen wave sawtooth 1.000000 0.000000 1.085688 0.300365
rgbgen wave sawtooth 1.000000 0.000000 1.085688 0.300365
tcmod stretch sawtooth 0.000000 1.173104 1.085688 0.300365
blendfunc add
}
}

textures/pad_garden/bubbles2_5
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -12.763139 -30.482132 151.611313 sawtooth 0 1 0.288759 0.189146
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 1.619465
alphagen wave sawtooth 1.000000 0.000000 0.288759 0.189146
rgbgen wave sawtooth 1.000000 0.000000 0.288759 0.189146
tcmod stretch sawtooth 0.000000 1.285534 0.288759 0.189146
blendfunc add
}
}

textures/pad_garden/bubbles2_6
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 7.834942 -10.679131 100.490509 sawtooth 0 1 1.237915 0.365962
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate -2.907956
alphagen wave sawtooth 1.000000 0.000000 1.237915 0.365962
rgbgen wave sawtooth 1.000000 0.000000 1.237915 0.365962
tcmod stretch sawtooth 0.000000 1.686840 1.237915 0.365962
blendfunc add
}
}

textures/pad_garden/bubbles2_7
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 5.454388 -41.883984 127.730408 sawtooth 0 1 0.402287 0.207241
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 3.890042
alphagen wave sawtooth 1.000000 0.000000 0.402287 0.207241
rgbgen wave sawtooth 1.000000 0.000000 0.402287 0.207241
tcmod stretch sawtooth 0.000000 0.946705 0.402287 0.207241
blendfunc add
}
}

textures/pad_garden/bubbles2_8
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -9.112141 -36.627399 116.117142 sawtooth 0 1 0.784623 0.218790
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 24.587999
alphagen wave sawtooth 1.000000 0.000000 0.784623 0.218790
rgbgen wave sawtooth 1.000000 0.000000 0.784623 0.218790
tcmod stretch sawtooth 0.000000 0.350276 0.784623 0.218790
blendfunc add
}
}

textures/pad_garden/bubbles2_9
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 13.988351 -11.087501 103.268707 sawtooth 0 1 1.044519 0.235235
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 12.468795
alphagen wave sawtooth 1.000000 0.000000 1.044519 0.235235
rgbgen wave sawtooth 1.000000 0.000000 1.044519 0.235235
tcmod stretch sawtooth 0.000000 1.113410 1.044519 0.235235
blendfunc add
}
}

textures/pad_garden/bubbles2_10
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 10.265741 7.714635 131.291351 sawtooth 0 1 0.524331 0.144779
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 12.796563
alphagen wave sawtooth 1.000000 0.000000 0.524331 0.144779
rgbgen wave sawtooth 1.000000 0.000000 0.524331 0.144779
tcmod stretch sawtooth 0.000000 0.329548 0.524331 0.144779
blendfunc add
}
}

textures/pad_garden/bubbles2_11
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 25.100649 4.780672 156.159500 sawtooth 0 1 0.907308 0.255448
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 16.214331
alphagen wave sawtooth 1.000000 0.000000 0.907308 0.255448
rgbgen wave sawtooth 1.000000 0.000000 0.907308 0.255448
tcmod stretch sawtooth 0.000000 2.025596 0.907308 0.255448
blendfunc add
}
}

textures/pad_garden/bubbles2_12
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 12.983425 -1.691125 95.949432 sawtooth 0 1 0.845538 0.495670
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate -2.724845
alphagen wave sawtooth 1.000000 0.000000 0.845538 0.495670
rgbgen wave sawtooth 1.000000 0.000000 0.845538 0.495670
tcmod stretch sawtooth 0.000000 0.903418 0.845538 0.495670
blendfunc add
}
}

textures/pad_garden/waterfall2
{ 
qer_editorimage textures/pad_garden/waterstream.tga 
q3map_globaltexture 
surfaceparm nonsolid 
surfaceparm nolightmap 
surfaceparm trans 
surfaceparm noimpact 
surfaceparm water 
tesssize 32 
cull disable 
{ 
map textures/pad_garden/waterstream.tga 
blendfunc gl_one gl_one_minus_src_color 
tcmod scale 0.4 0.55 
tcmod turb .1 .08 .25 .08 
tcmod scroll 0.005 -1 
} 
{ 
map textures/pad_garden/waterstream.tga 
blendfunc gl_one gl_one_minus_src_color 
tcmod scale 0.5 0.45 
tcmod turb .1 .05 .25 .08 
tcmod scroll 0.008 -0.6 
} 
}

textures/pad_garden/sand003a
{
q3map_nonplanar
q3map_shadeangle 60 l
surfaceparm sandsteps
qer_editorimage textures/pad_garden/sand003a.tga
{
map $lightmap
rgbgen identity
}
{
map textures/pad_garden/sand003a.tga
blendfunc filter
}
}

textures/pad_garden/algen
{
q3map_nonplanar
q3map_shadeangle 60 l
qer_editorimage textures/pad_garden/algen.tga
surfaceparm sandsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_garden/algen.tga
blendfunc filter
}
}

textures/pad_garden/rostsoft
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_garden/rostsoft.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_garden/rostrough
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_garden/rostrough.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_gfx/glass2_dark
{
	qer_editorimage textures/pad_gfx/glass2_dark.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_dark.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/flare
{
    deformvertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/pad_gfx/flare.tga
            blendfunc gl_one gl_one
          }
}

textures/pad_gfx/schaum1
{
	qer_editorimage textures/pad_gfx/schaum.tga
	deformvertexes autosprite
	cull disable	 
        surfaceparm nomarks 
        surfaceparm trans 
        sort additive	
	qer_trans 0.5
	{
		map textures/pad_gfx/schaum.tga
		blendfunc add
		rgbgen identity
		tcmod turb 0.1 0.05 0 0.95
		tcmod rotate 6

	}
	{
		map textures/pad_gfx/schaum.tga
		blendfunc add
		rgbgen identity
		tcmod turb 0.8 0.08 1 -0.64
		tcmod rotate -10
		tcmod scale 0.75 0.75
	}
}

textures/pad_gfx/schaum2
{
	qer_editorimage textures/pad_gfx/schaum.tga
	deformvertexes autosprite
	cull disable	 
        surfaceparm nomarks 
        surfaceparm trans 
        sort additive	
	qer_trans 0.5
	{
		map textures/pad_gfx/schaum.tga
		blendfunc add
		rgbgen identity
		tcmod turb 0.1 0.07 0 -0.9
		tcmod rotate -8
		tcmod scale 0.75 0.75
	}
	{
		map textures/pad_gfx/schaum.tga
		blendfunc add
		rgbgen identity
		tcmod turb 0.8 0.03 1 -1
		tcmod rotate 10

	}

}

textures/pad_gfx02/padp
{
        qer_editorimage textures/pad_gfx02/padp.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/pad_gfx02/padp.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/pad_gfx02/rollob
{
        qer_editorimage textures/pad_gfx02/rollob.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/pad_gfx02/rollob.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/pad_gfx02/rollo2b
{
        qer_editorimage textures/pad_gfx02/rollo2b.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/pad_gfx02/rollo2b.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/pad_gfx02/faden05
{
        qer_editorimage textures/pad_gfx02/faden05.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/pad_gfx02/faden05.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/pad_gfx02/col01
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/col01.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/col01.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal05
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal05.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal05.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal09
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal09.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal09.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal10
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal10.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal10.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02b/git001b
{
     qer_editorimage textures/pad_gfx02b/git001b.tga   
     cull none
     surfaceparm alphashadow
     surfaceparm playerclip	
     surfaceparm nomarks
     nopicmip
     {
                map textures/pad_gfx02b/git001b.tga
                blendfunc gl_one gl_zero
                alphafunc ge128
		depthwrite
		rgbgen identity
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}


}

textures/pad_gfx02b/git005
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
    
     
        {
                map textures/pad_gfx02b/git005.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_gfx02b/watblack
{	
	qer_editorimage textures/pad_gfx02b/watblack.tga
	q3map_lightimage textures/pad_gfx02b/watblack.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 20
	tesssize 32
	cull disable

	deformvertexes wave 100 sin 0 1 .2 .3

	{
		map textures/pad_gfx02b/watblackb.tga
		tcmod turb .3 .2 1 .05
		tcmod scroll .025 .025
	}
	
	{
		map textures/pad_gfx02b/watblack.tga
		blendfunc gl_one gl_one
		tcmod turb .2 .1 1 .05
		tcmod scale .5 .5
		tcmod scroll .02 .02
	}
	

}

textures/pad_gfx02b/beam_grey
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/pad_gfx02b/beam_grey.tga
                tcmod scroll .4 0
                blendfunc add
        }
     
}

textures/pad_gfx02b/beam_green
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/pad_gfx02b/beam_green.tga
                tcmod scroll .4 0
                blendfunc add
        }
     
}

textures/pad_gfx02b/padfog_blue
{
		qer_editorimage textures/pad_gfx02b/padfog_blue.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( 0.1 0.1 0.3 ) 320

}

textures/pad_jail/pad_jail_metal1
{
	surfaceparm metalsteps		
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_jail/pad_jail_metal1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_kitchen/cookstation
{
	qer_editorimage textures/pad_kitchen/cookstation.tga
	{
		map textures/pad_kitchen/cookstation.tga
		rgbgen identity
	}
	{
		map textures/pad_kitchen/cookstation02.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/herdblende
{
	qer_editorimage textures/pad_kitchen/herdblende.tga
	{
		map textures/pad_kitchen/herdblende.tga
		rgbgen identity
	}
	{
		map textures/pad_kitchen/kitchenglass_05.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/smilieb
{
	qer_editorimage textures/pad_kitchen/smilieb.tga
	{
		map textures/pad_kitchen/smilieb.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/smilie02
{
	qer_editorimage textures/pad_kitchen/smilie02.tga
	{
		map textures/pad_kitchen/smilie02.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/potwand
{
	surfaceparm metalsteps
                qer_editorimage textures/pad_kitchen/potwand.tga
	{
		map textures/pad_kitchen/potwand.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/pot001c
{
                surfaceparm metalsteps
	qer_editorimage textures/pad_kitchen/pot001c.tga
	{
		map textures/pad_kitchen/pot001c.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/abhaube007
{
                surfaceparm metalsteps
	qer_editorimage textures/pad_kitchen/abhaube007.tga
	{
		map textures/pad_kitchen/abhaube007.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/abhaube004
{
                surfaceparm metalsteps
	qer_editorimage textures/pad_kitchen/abhaube004.tga
	{
		map textures/pad_kitchen/abhaube004.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/metal06b
{
                surfaceparm metalsteps
	qer_editorimage textures/pad_kitchen/metal06b.tga
	{
		map textures/pad_kitchen/metal06b.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/metal08
{
                surfaceparm metalsteps
	qer_editorimage textures/pad_kitchen/metal08.tga
	{
		map textures/pad_kitchen/metal08.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/metal11
{
                surfaceparm metalsteps
	qer_editorimage textures/pad_kitchen/metal11.tga
	{
		map textures/pad_kitchen/metal11.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/plas01
{
	qer_editorimage textures/pad_kitchen/plas01.tga
	{
		map textures/pad_kitchen/plas01.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/plas03
{
	qer_editorimage textures/pad_kitchen/plas03.tga
	{
		map textures/pad_kitchen/plas03.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/plas05
{
	qer_editorimage textures/pad_kitchen/plas05.tga
	{
		map textures/pad_kitchen/plas05.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/plas07
{
	qer_editorimage textures/pad_kitchen/plas07.tga
	{
		map textures/pad_kitchen/plas07.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/urban-chaos
{
        qer_editorimage textures/pad_kitchen/urban-chaos.tga


	surfaceparm noimpact
	surfaceparm nolightmap
              q3map_lightimage textures/pad_kitchen/white02.tga
	q3map_sun	0.266383 0.274632 0.358662 100 50 55
	q3map_surfacelight 240

        skyparms env/urban-chaos512 - -
	
}

textures/pad_kitchen/micro
{
	qer_editorimage textures/pad_kitchen/micro.tga
	{
		map textures/pad_kitchen/micro.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/micro02
{
                surfaceparm metalsteps
	qer_editorimage textures/pad_kitchen/micro02.tga
	{
		map textures/pad_kitchen/micro02.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/microglass03
{
	qer_editorimage	textures/pad_kitchen/microglass03.tga
              surfaceparm trans
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/pad_kitchen/microglass03.tga
        blendfunc gl_one gl_one
    }
}

textures/pad_kitchen/microglass04
{
              surfaceparm trans
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/pad_kitchen/microglass04.tga
        blendfunc gl_one gl_one
    }
}

textures/pad_kitchen/tomatosoup
{
	qer_editorimage textures/pad_kitchen/suppe001small.tga
	qer_trans .8
	q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	tesssize 128
	deformvertexes wave 100 sin 4 3 0 0.3

	{
		map textures/pad_kitchen/suppe001small.tga
		rgbgen vertex
		tcmod scale .4 .4
		tcmod scroll .002 .002
	}
}

textures/pad_kitchen/toaster02
{
                surfaceparm metalsteps
	qer_editorimage textures/pad_kitchen/toaster02.tga
	{
		map textures/pad_kitchen/toaster02.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/toaster_draht
{
	qer_editorimage textures/pad_kitchen/toaster_draht.tga
	q3map_surfacelight 30
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_kitchen/toaster_draht.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_kitchen/toaster_draht02.tga
		
		blendfunc gl_one gl_one
	}
}

textures/pad_kitchen/filti
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
    
     
        {
                map textures/pad_kitchen/filti.tga
                alphafunc ge128
		depthwrite
		rgbgen identity
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_kitchen/lighty
{
    q3map_surfacelight 500
    surfaceparm nolightmap
    {
        map textures/pad_kitchen/lighty.tga
    }
}

textures/pad_kitchen/moddersmall
{ 
        qer_editorimage textures/pad_kitchen/modder03small.tga 
      
        qer_trans 0.5 
        q3map_globaltexture 
        surfaceparm trans 
        surfaceparm nolightmap 
        surfaceparm nonsolid 
        surfaceparm water 
        surfaceparm fog
        cull disable 
        
        fogparms ( .211 .231 .094 ) 650
        { 
               map textures/pad_kitchen/modder03small.tga 
               tcmod turb 0.2 0.1 1 0.05 
               tcmod scale 0.5 0.5 
               tcmod scroll 0.01 0.01 
               blendfunc gl_dst_color gl_zero 
               rgbgen identity 

        } 

}

textures/pad_kitchen/moddersmall02_nofog
{ 
        qer_editorimage textures/pad_kitchen/modder03small.tga 
      
        qer_trans 0.5 
        q3map_globaltexture 
        surfaceparm trans 
        surfaceparm nolightmap 
        surfaceparm nonsolid 
        surfaceparm water 
        cull disable 

        { 
               map textures/pad_kitchen/modder03small.tga 
               tcmod turb 0.2 0.1 1 0.05 
               tcmod scale 0.5 0.5 
               tcmod scroll 0.01 0.01 
               blendfunc gl_dst_color gl_zero 
               rgbgen identity 

        } 

}

textures/pad_kitchen/spuelwater_nofog
{ 
        qer_editorimage textures/pad_kitchen/spuelwater.tga 
        qer_trans 0.5 
        q3map_globaltexture 
        surfaceparm trans 
        surfaceparm nolightmap 
        surfaceparm nonsolid 
        surfaceparm water
        cull disable 

        { 
               map textures/pad_kitchen/spuelwater.tga 
               tcmod turb 0.2 0.1 1 0.05 
               tcmod scale 0.5 0.5 
               tcmod scroll 0.01 0.01 
               blendfunc add 
               rgbgen identity 

        } 

}

textures/pad_kitchen/coffy01
{
	qer_editorimage textures/pad_kitchen/coffy01.tga
	{
		map textures/pad_kitchen/coffy01.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen vertex
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/coffy02
{
	qer_editorimage textures/pad_kitchen/coffy02.tga
	{
		map textures/pad_kitchen/coffy02.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen vertex
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/coffy03
{
	qer_editorimage textures/pad_kitchen/coffy03.tga
	{
		map textures/pad_kitchen/coffy03.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen vertex
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/coffy04
{
	qer_editorimage textures/pad_kitchen/coffy04.tga
	{
		map textures/pad_kitchen/coffy04.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen vertex
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/coffy05
{
	qer_editorimage textures/pad_kitchen/coffy05.tga
	{
		map textures/pad_kitchen/coffy05.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/coffy06
{
	qer_editorimage textures/pad_kitchen/coffy06.tga
	{
		map textures/pad_kitchen/coffy06.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/lampi06
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
    
     
        {
                map textures/pad_kitchen/lampi06.tga
                alphafunc ge128
		depthwrite
		rgbgen identity
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_kitchen/radio
{
	qer_editorimage textures/pad_kitchen/radio001.tga
	surfaceparm nomarks
	q3map_surfacelight 60
	

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_kitchen/radio001.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_kitchen/radio_blend.tga
                rgbgen wave sin 0.1 0.2 0 2
		blendfunc gl_one gl_one
	}
}

textures/pad_kitchen/coffybutton
{
	qer_editorimage textures/pad_kitchen/coffybutton.tga
	surfaceparm nomarks
	q3map_surfacelight 60
	

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_kitchen/coffybutton.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_kitchen/coffybutton02.tga
                rgbgen wave sin 0.1 0.2 0 2
		blendfunc gl_one gl_one
	}
}

textures/pad_kitchen/metal06curv
{
          qer_editorimage textures/pad_kitchen/metal06curv.tga
          surfaceparm nonsolid		
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_kitchen/metal06curv.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_kitchen/metal06curv.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_kitchen/metal09curv
{
          qer_editorimage textures/pad_kitchen/metal09curv.tga
          surfaceparm nonsolid		
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_kitchen/metal09curv.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_kitchen/metal09curv.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_kitchen/metal10curv
{
          qer_editorimage textures/pad_kitchen/metal10curv.tga
          surfaceparm nonsolid		
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_kitchen/metal10curv.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_kitchen/metal10curv.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_kitchen/buche005c
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/buche005c.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/buche003
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/buche003.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/buche002
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/buche002.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/wood002brown1b
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/wood002brown1b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/wood002brownb
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/wood002brownb.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/woodboard
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/woodboard.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/woodboardbrown06
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/woodboardbrown06.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/lampi007
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/lampi007.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/ofeninnen02
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/ofeninnen02.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/schacht01c
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/schacht01c.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/ballo001
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/ballo001.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/ballo003
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/ballo003.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/ballo004
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/ballo004.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/ballo005
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/ballo005.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/blackwoodd
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/blackwoodd.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/buche001b
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/buche001b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/kitborder03small
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/kitborder03small.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/ofeninnen03small
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/ofeninnen03small.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/ofeninnen04
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/ofeninnen04.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/ofeninnen05
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/ofeninnen05.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/ofeninnen06
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/ofeninnen06.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/sp_boden
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/sp_boden.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/sp_wand
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/sp_wand.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/sp_waterdrops
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/sp_waterdrops.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/sp_rillen
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/sp_rillen.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/tunnelgroundbig
{
surfaceparm sandsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/tunnelgroundbig.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/hahnred
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_kitchen/hahnred.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_kitchen/hahnred.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_kitchen/hahnblue
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_kitchen/hahnblue.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_kitchen/hahnblue.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_kitchen/schrankglass
{
  	qer_editorimage textures/pad_kitchen/kitchenglass_02.tga
              surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/pad_kitchen/kitchenglass_02.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_kitchen/woodsockelbb
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/woodsockelbb.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/lampi001
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/lampi001.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/boarddoor01b
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/boarddoor01b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/boarddoor02b
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/boarddoor02b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/boarddoor04b
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/boarddoor04b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/cup_border2
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/cup_border2.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/cup_border2red
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/cup_border2red.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/flowpot002c
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/flowpot002c.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/flowpot002d
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/flowpot002d.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

models/mapobjects/pad_cups/cup001
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_cups/cup001.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_cups/cup003
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_cups/cup003.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_cups/cup_under
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_cups/cup_under.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_cups/handle
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_cups/handle.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_plates/plate002
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_plates/plate002.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_plates/plate004
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_plates/plate004.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_plates/plate_pack004
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_plates/plate_pack004.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_plates/plate_pack
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_plates/plate_pack.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_plates/plate_under
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_plates/plate_under.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_cutlery/knifefork
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_cutlery/knifefork.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_tins/coke1
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/coke1.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_tins/cola_bottom
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/cola_bottom.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_tins/cola_top
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/cola_top.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_tins/pupsi
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/pupsi.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_sunflower/sunhead
{
	cull none
	nopicmip
	nomipmaps
	{
		map models/mapobjects/pad_sunflower/sunhead.tga
		alphafunc ge128
		rgbgen vertex
	}
}

models/mapobjects/pad_sunflower/sunleaf1
{
	cull none
	nopicmip
	nomipmaps
	{
		map models/mapobjects/pad_sunflower/sunleaf1.tga
		alphafunc ge128
		rgbgen vertex
	}
}

models/mapobjects/pad_sunflower/sunleaf2
{
	cull none
	nopicmip
	nomipmaps
	{
		map models/mapobjects/pad_sunflower/sunleaf2.tga
		alphafunc ge128
		rgbgen vertex
	}
}

models/mapobjects/pad_ddmix/plants/flower_pink
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/flower_pink.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/plants/tulip1
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/tulip1.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/padkitchen/towel_kitchen
{
	cull disable
	{
		map models/mapobjects/pad_ddmix/padkitchen/towel_kitchen.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_ddmix/mix/matches
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/mix/matches.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/mix/matchbook_padman
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/mix/matchbook_padman.tga
		rgbgen vertex
		alphafunc ge128
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/anteroom/vase
{
	surfaceparm trans
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/anteroom/vase.tga
		blendfunc blend
		rgbgen vertex
	}
	{
		map models/mapobjects/pad_ddmix/anteroom/vase.tga
		blendfunc add
		rgbgen vertex
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/anteroom/water_vase
{
	sort additive
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/anteroom/water_vase.tga
		blendfunc add
		rgbgen vertex
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/diner/glass_sunrise
{
	surfaceparm trans
	sort additive
	cull disable
	{
		map models/mapobjects/pad_ddmix/diner/glass_sunrise.tga
		blendfunc blend
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcgen environment
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass_highlight.tga
		blendfunc add
		tcgen environment
	}
}

textures/pad_pirate/blanken01b
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_pirate/blanken01b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_pirate/wood_line
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_pirate/wood_line.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_nature/sand003
{
surfaceparm sandsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_nature/sand003.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_objects/obj009
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_objects/obj009.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_objects/ofen2
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_objects/ofen2.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_objects/heiz01
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_objects/heiz01.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_objects/heizung
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_objects/heizung.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_textile/textile03e
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_textile/textile03e.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_textile/textile18g
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_textile/textile18g.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_woodfloor/2parq13
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_woodfloor/2parq13.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/span128
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/span128.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood020blacksmall
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood020blacksmall.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood046
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood046.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood049
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood049.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood078
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood078.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_woodobjects/tablewood
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_woodobjects/tablewood.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_tex02/telepad
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/pad_tex02/telepad.tga
		tcgen environment
                tcmod turb 0 0.25 0 0.5
                tcmod scroll 1 1
		blendfunc gl_one gl_one
	}
}

textures/pad_tex02/padbox5
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/pad_tex02/padbox_ora.tga
	q3map_sun	1 1 1 190 -58 90
	q3map_surfacelight 200

        skyparms env/padbox5 - -
       {
		map textures/pad_tex02/skystuff2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.02 0.04
		tcmod scale 1 2
	}
 {
		map textures/pad_tex02/skystuff2b.tga
		blendfunc gl_one gl_one
		tcmod scroll -0.01 -0.03
		tcmod scale 1 2
	}
}

